# GimpUi.NumberPairEntry.set_aspect

    @accepts(GimpUi.NumberPairEntry, GimpUi.AspectType)
    @returns(none)
    def set_aspect(self, aspect):
        # Python wrapper for gimp_number_pair_entry_set_aspect()

Sets the aspect of the ratio by swapping the left_number and right_number if necessary (or setting them to 1.0 in case that aspect is GimpUi.AspectType.square).

Since 2.4

self

  A GimpUi.NumberPairEntry widget.

aspect

  The new aspect.